Bug 49334 - [PATCH] Chart - set values range
Summary: [PATCH] Chart - set values range
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSSF (show other bugs)
Version: 3.7-dev
Hardware: PC Windows Vista
: P2 enhancement (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-24 13:50 UTC by Peter Kutak
Modified: 2015-05-31 21:30 UTC (History)
0 users



Attachments
proposed patch (5.66 KB, patch)
2010-05-24 13:52 UTC, Peter Kutak
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Kutak 2010-05-24 13:50:46 UTC
Reads ValueRangeRecord for charts and enables to set basic axis options(values range):
-minimal value
-maximal value
-major unit
-minor unit


this patch contain my previous patch
https://issues.apache.org/bugzilla/show_bug.cgi?id=49242
Comment 1 Peter Kutak 2010-05-24 13:52:05 UTC
Created attachment 25478 [details]
proposed patch
Comment 2 Nick Burch 2010-05-25 12:00:11 UTC
Thanks for this, applied to svn in r948080.

Any chance you could knock up a quick unit test for these two when you have a minute? It probably just needs to work on a chart, check the right things are there, change something, save + reload and ensure the change was taken
Comment 3 Dominik Stadler 2015-05-31 21:30:21 UTC
Seems we are not getting a unit-test submitted as part of this bug any more...